> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Label To Task

> Attach an existing label to a task



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi put /label/{id}/task
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /label/{id}/task:
    put:
      tags:
        - Labels
      summary: Attach Label To Task
      description: Attach an existing label to a task
      operationId: attachLabelToTask
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                taskId:
                  type: string
              required:
                - taskId
      responses:
        '200':
          description: Label attached to task successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  color:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  taskId:
                    type: string
                    nullable: true
                  workspaceId:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - color
                  - createdAt
                  - taskId
                  - workspaceId
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````